Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Video
    • Overview
    • Control
    • Browser autoplay policy
  • Access management
  • Pricing policy
    • API authentication
    • Getting started with the API
      • Overview
        • Overview
        • Get
        • List
        • BatchGet
        • Create
        • Update
        • Delete
        • BatchDelete
        • PerformAction
        • GetStreamKey
        • UpdateStreamKey
  • Audit Trails events
  • Release notes
  • Troubleshooting

In this article:

  • HTTP request
  • Query parameters
  • Response
  • StreamLine
  • RTMPPushInput
  • SRTPushInput
  • RTMPPullInput
  • SRTPullInput
  • AutoLine
  • StreamLineProcessingSettings
  • Summarization
  • InputTrack
  • Translation
  • TranslationTrack
  • SubtitleTrack
  • AudioTrack
  1. API reference
  2. REST
  3. StreamLine
  4. List

Video API, REST: StreamLine.List

Written by
Yandex Cloud
Updated at November 3, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • StreamLine
  • RTMPPushInput
  • SRTPushInput
  • RTMPPullInput
  • SRTPullInput
  • AutoLine
  • StreamLineProcessingSettings
  • Summarization
  • InputTrack
  • Translation
  • TranslationTrack
  • SubtitleTrack
  • AudioTrack

Lists all stream lines in a specific channel with pagination support.
Results can be filtered and sorted using the provided parameters.

HTTP requestHTTP request

GET https://video.api.cloud.yandex.net/video/v1/streamLines

Query parametersQuery parameters

Field

Description

channelId

string

Required field. ID of the channel containing the stream lines to list.

The maximum string length in characters is 50.

pageSize

string (int64)

The maximum number of stream lines to return per page.

The maximum value is 100.

pageToken

string

Page token for retrieving the next page of results.
This token is obtained from the next_page_token field in the previous ListStreamLinesResponse.

The maximum string length in characters is 15000.

orderBy

string

Specifies the ordering of results.
Format is "<field> <order>" (e.g., "createdAt desc").
Default: "id asc".
Supported fields: ["id", "title", "createdAt", "updatedAt"].
Both snake_case and camelCase field names are supported.

The maximum string length in characters is 50.

filter

string

Filter expression to narrow down the list of returned stream lines.
Expressions consist of terms connected by logical operators.
Values containing spaces or quotes must be enclosed in quotes (' or ")
with inner quotes being backslash-escaped.

Supported logical operators: ["AND", "OR"].
Supported comparison operators: ["=", "!=", ":"] where ":" enables substring matching.
Parentheses can be used to group logical expressions.

Example: title:'main' AND id='line-1'

Filterable fields: ["id", "title"].
Both snake_case and camelCase field names are supported.

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "streamLines": [
    {
      "id": "string",
      "channelId": "string",
      "title": "string",
      "inputSource": "string",
      // Includes only one of the fields `rtmpPush`, `srtPush`, `rtmpPull`, `srtPull`
      "rtmpPush": {
        "url": "string",
        "backupUrl": "string"
      },
      "srtPush": {
        "url": "string",
        "backupUrl": "string"
      },
      "rtmpPull": {
        "url": "string",
        "backupUrl": "string"
      },
      "srtPull": {
        "url": "string",
        "backupUrl": "string"
      },
      // end of the list of possible fields
      // Includes only one of the fields `manualLine`, `autoLine`
      "manualLine": "object",
      "autoLine": {
        "status": "string"
      },
      // end of the list of possible fields
      "processingSettings": {
        "summarization": {
          "enable": "boolean",
          "tracks": [
            {
              "trackIndex": "string",
              "srcLang": "string"
            }
          ]
        },
        "translation": {
          "enable": "boolean",
          "tracks": [
            {
              "inputTrack": {
                "trackIndex": "string",
                "srcLang": "string"
              },
              "subtitles": [
                {
                  "dstLang": "string"
                }
              ],
              "audios": [
                {
                  "dstLang": "string"
                }
              ]
            }
          ]
        }
      },
      "createdAt": "string",
      "updatedAt": "string",
      "labels": "object"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

streamLines[]

StreamLine

List of stream lines matching the request criteria.
May be empty if no stream lines match the criteria or if the channel has no stream lines.

nextPageToken

string

Token for retrieving the next page of results.
Empty if there are no more results available.

StreamLineStreamLine

Entity representing the incoming video signal settings.

Field

Description

id

string

ID of the line.

channelId

string

ID of the channel to which this stream line belongs.

title

string

Title of the stream line.

inputSource

enum (LineInputSource)

Specifies which input source (main or backup) is currently active.

  • ANY: Use any available input source (main or backup).
  • MAIN: Use main input source.
  • BACKUP: Use backup input source (works only if backup input source is provided).

rtmpPush

RTMPPushInput

Real-Time Messaging Protocol (RTMP) push input type.

Includes only one of the fields rtmpPush, srtPush, rtmpPull, srtPull.

Specifies the input type and settings for the video signal source.

srtPush

SRTPushInput

Secure Reliable Transport (SRT) push input type.

Includes only one of the fields rtmpPush, srtPush, rtmpPull, srtPull.

Specifies the input type and settings for the video signal source.

rtmpPull

RTMPPullInput

Real-Time Messaging Protocol (RTMP) pull input type.

Includes only one of the fields rtmpPush, srtPush, rtmpPull, srtPull.

Specifies the input type and settings for the video signal source.

srtPull

SRTPullInput

Secure Reliable Transport (SRT) pull input type.

Includes only one of the fields rtmpPush, srtPush, rtmpPull, srtPull.

Specifies the input type and settings for the video signal source.

manualLine

object

Manual stream control.

Includes only one of the fields manualLine, autoLine.

Specifies the control type of the stream line.

autoLine

AutoLine

Automatic stream control.

Includes only one of the fields manualLine, autoLine.

Specifies the control type of the stream line.

processingSettings

StreamLineProcessingSettings

Processing settings.

createdAt

string (date-time)

Timestamp when the stream line was initially created in the system.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updatedAt

string (date-time)

Timestamp of the last modification to the stream line or its metadata.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

labels

object (map<string, string>)

Custom user-defined labels as key:value pairs.
Maximum 64 labels per stream line.
Labels can be used for organization, filtering, and metadata purposes.

RTMPPushInputRTMPPushInput

Settings for an RTMP (Real-Time Messaging Protocol) push input.
Used when the video stream is pushed to an RTMP server.
@see https://en.wikipedia.org/wiki/Real-Time_Messaging_Protocol

Field

Description

url

string

RTMP server url.

backupUrl

string

RTMP server URL for the signal identified by the backup stream key.

SRTPushInputSRTPushInput

Settings for an SRT (Secure Reliable Transport) push input.
Used when the video stream is pushed to an SRT server.
@see https://en.wikipedia.org/wiki/Secure_Reliable_Transport

Field

Description

url

string

SRT server url.

backupUrl

string

SRT server URL for the signal identified by the backup stream key.

RTMPPullInputRTMPPullInput

Settings for an RTMP pull input.
Used when the service pulls the video stream from an RTMP source.
@see https://en.wikipedia.org/wiki/Real-Time_Messaging_Protocol

Field

Description

url

string

RTMP url for receiving video signal.

backupUrl

string

Backup RTMP url (optional).

SRTPullInputSRTPullInput

Settings for an SRT pull input.
Used when the service pulls the video stream from an SRT source.
@see https://en.wikipedia.org/wiki/Secure_Reliable_Transport

Field

Description

url

string

SRT url for receiving video signal.

backupUrl

string

Backup SRT url (optional).

AutoLineAutoLine

Represents an automatic line type where the stream control is handled automatically.

Field

Description

status

enum (AutoLineStatus)

The status of the automatic line.

  • DEACTIVATED: The automatic line is deactivated and not currently active.
  • ACTIVE: The automatic line is active and operational.

StreamLineProcessingSettingsStreamLineProcessingSettings

Field

Description

summarization

Summarization

Settings for stream line summarization.

translation

Translation

Settings for stream line translation.

SummarizationSummarization

Field

Description

enable

boolean

Enable line summarization.

tracks[]

InputTrack

Input tracks.

InputTrackInputTrack

Field

Description

trackIndex

string (int64)

Input audio track index (one-based).

The minimum value is 1.

srcLang

string

Source track language represented as a three-letter code according to ISO 639-2/T.

Value must match the regular expression ara|deu|eng|spa|fra|ita|jpn|kor|rus|tur|zho.

TranslationTranslation

Field

Description

enable

boolean

Enable line translation.
Neurotranslations and neurosubtitles cannot be enabled in low latency mode.

tracks[]

TranslationTrack

Input tracks.

TranslationTrackTranslationTrack

Field

Description

inputTrack

InputTrack

Required field. Input track settings.

subtitles[]

SubtitleTrack

Settings for target subtitle tracks.

audios[]

AudioTrack

Settings for target audio tracks.

SubtitleTrackSubtitleTrack

Field

Description

dstLang

string

Required field. Language of subtitles represented as a three-letter code according to ISO 639-2/T.

Value must match the regular expression eng|kaz|rus.

AudioTrackAudioTrack

Field

Description

dstLang

string

Required field. Target language represented as a three-letter code according to ISO 639-2/T.

Value must match the regular expression eng|kaz|rus.

Was the article helpful?

Previous
Get
Next
BatchGet
© 2026 Direct Cursus Technology L.L.C.